Bug 1460961 - NameError: wrong constant name Docker/ImageSearch on creating a new Role Filter, spams upgrade logs with 200 error messages
Summary: NameError: wrong constant name Docker/ImageSearch on creating a new Role Filt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Upgrades
Version: 6.2.10
Hardware: Unspecified
OS: Unspecified
medium
high vote
Target Milestone: 6.4.0
Assignee: Daniel Lobato Garcia
QA Contact: Roman Plevka
URL:
Whiteboard:
: 1502680 1518661 (view as bug list)
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2017-06-13 09:11 UTC by Roman Plevka
Modified: 2019-11-05 23:05 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:04:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
traceback from a production.log (52.97 KB, text/plain)
2017-06-13 09:13 UTC, Roman Plevka
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20067 0 None None None 2017-06-21 07:54:28 UTC
Red Hat Bugzilla 1518661 0 unspecified CLOSED Excessive amount of warnings in logs: NameError: wrong constant name Docker/ImageSearch 2021-02-22 00:41:40 UTC

Internal Links: 1518661

Description Roman Plevka 2017-06-13 09:11:52 UTC
Description of problem:
when clicking a 'New Filter' in the Role dialog, the following traceback is being logged in the production.log:
2017-06-13 05:07:24 cea0b842 [app] [W] unknown class Docker/ImageSearch, ignoring
 | NameError: wrong constant name Docker/ImageSearch
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/inflector/methods.rb:238:in `const_get'
 | /opt/rh/rh-ror41/root/usr/share/gems/gems/activesupport-4.1.5/lib/active_support/inflector/methods.rb:238:in `block in constantize'
...
2017-06-13 05:07:24 cea0b842 [app] [W] unknown class ExternalUsergroups, ignoring
...
(attaching a full traceback)

This seems to be happening during fetching the available filter list

Version-Release number of selected component (if applicable):
6.2.10-4

How reproducible:
always

Steps to Reproduce:
1. administer -> roles
2. click some role or create a new one
3. filters tab
4. click 'new filter' while watching production.log

Actual results:
[app] [W] unknown class Docker/ImageSearch, ignoring
[app] [W] unknown class ExternalUsergroups, ignoring

Comment 1 Roman Plevka 2017-06-13 09:13:23 UTC
Created attachment 1287195 [details]
traceback from a production.log

Comment 3 Ondřej Pražák 2017-06-21 07:54:25 UTC
Created redmine issue http://projects.theforeman.org/issues/20067 from this bug

Comment 4 Marek Hulan 2017-10-19 07:08:24 UTC
*** Bug 1502680 has been marked as a duplicate of this bug. ***

Comment 5 Brad Buckingham 2017-12-07 21:15:09 UTC
*** Bug 1518661 has been marked as a duplicate of this bug. ***

Comment 6 Satellite Program 2018-01-11 19:08:54 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20067 has been resolved.

Comment 7 sthirugn@redhat.com 2018-03-29 18:25:56 UTC
Increasing the severity level and changed the component to Upgrade as this affects the upgrade customers.  See https://bugzilla.redhat.com/show_bug.cgi?id=1502680 for more info.

*****Note to QE****
Please make sure that the upgrade symptom https://bugzilla.redhat.com/show_bug.cgi?id=1502680 is fixed during verification.

Comment 8 sthirugn@redhat.com 2018-03-29 18:26:24 UTC
*** Bug 1502680 has been marked as a duplicate of this bug. ***

Comment 9 Roman Plevka 2018-07-17 13:13:44 UTC
VERIFIED
on sat6.4.0-12

the traceback is no longer present:





2018-07-17T09:12:46 [I|app|] Started GET "/filters/new?role_id=29-Auditor-audit12" for 10.34.131.57 at 2018-07-17 09:12:46 -0400
2018-07-17T09:12:46 [I|app|6f3b4] Processing by FiltersController#new as HTML
2018-07-17T09:12:46 [I|app|6f3b4]   Parameters: {"role_id"=>"29-Auditor-audit12"}
2018-07-17T09:12:46 [I|app|6f3b4] Current user: admin (administrator)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendering filters/new.html.erb within layouts/application
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered filters/_form.html.erb (54.4ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered filters/new.html.erb within layouts/application (56.5ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered layouts/_application_content.html.erb (0.6ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendering layouts/base.html.erb
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_organization_dropdown.html.erb (24.7ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_location_dropdown.html.erb (5.6ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_org_switcher.html.erb (31.7ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_user_dropdown.html.erb (2.0ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_topbar.html.erb (35.1ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_vertical_menu.html.erb (4.1ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_vertical_menu.html.erb (4.9ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_vertical_menu.html.erb (1.6ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_vertical_menu.html.erb (6.9ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_vertical_menu.html.erb (4.2ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_vertical_menu.html.erb (3.2ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_vertical_menu.html.erb (2.3ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_vertical_menu.html.erb (4.3ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_vertical_taxonomies.html.erb (8.1ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_vertical_taxonomies.html.erb (52.3ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_vertical_menu.html.erb (1.4ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered home/_navbar.html.erb (102.2ms)
2018-07-17T09:12:46 [I|app|6f3b4]   Rendered layouts/base.html.erb (142.7ms)
2018-07-17T09:12:46 [I|app|6f3b4] Completed 200 OK in 221ms (Views: 198.4ms | ActiveRecord: 6.3ms)
2018-07-17T09:12:46 [I|app|] Started GET "/notification_recipients" for 10.34.131.57 at 2018-07-17 09:12:46 -0400
2018-07-17T09:12:46 [I|app|e9c3d] Processing by NotificationRecipientsController#index as JSON
2018-07-17T09:12:46 [I|app|e9c3d] Current user: admin (administrator)
2018-07-17T09:12:46 [I|app|e9c3d] Completed 200 OK in 13ms (Views: 0.3ms | ActiveRecord: 1.0ms)
2018-07-17T09:12:47 [I|app|] Started GET "/filters/new?role_id=29-Auditor-audit12" for 10.34.131.57 at 2018-07-17 09:12:47 -0400
2018-07-17T09:12:47 [I|app|8b2e4] Processing by FiltersController#new as HTML
2018-07-17T09:12:47 [I|app|8b2e4]   Parameters: {"role_id"=>"29-Auditor-audit12"}
2018-07-17T09:12:47 [I|app|8b2e4] Current user: admin (administrator)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendering filters/new.html.erb within layouts/application
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered filters/_form.html.erb (60.3ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered filters/new.html.erb within layouts/application (62.7ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered layouts/_application_content.html.erb (0.8ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendering layouts/base.html.erb
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_organization_dropdown.html.erb (26.2ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_location_dropdown.html.erb (6.4ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_org_switcher.html.erb (34.2ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_user_dropdown.html.erb (2.2ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_topbar.html.erb (38.1ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_vertical_menu.html.erb (4.5ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_vertical_menu.html.erb (5.3ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_vertical_menu.html.erb (2.0ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_vertical_menu.html.erb (7.5ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_vertical_menu.html.erb (4.6ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_vertical_menu.html.erb (3.6ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_vertical_menu.html.erb (2.6ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_vertical_menu.html.erb (4.7ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_vertical_taxonomies.html.erb (8.8ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_vertical_taxonomies.html.erb (55.2ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_vertical_menu.html.erb (1.7ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered home/_navbar.html.erb (110.7ms)
2018-07-17T09:12:47 [I|app|8b2e4]   Rendered layouts/base.html.erb (154.8ms)
2018-07-17T09:12:47 [I|app|8b2e4] Completed 200 OK in 242ms (Views: 216.8ms | ActiveRecord: 6.9ms)
2018-07-17T09:12:47 [I|app|] Started GET "/notification_recipients" for 10.34.131.57 at 2018-07-17 09:12:47 -0400
2018-07-17T09:12:47 [I|app|9fb97] Processing by NotificationRecipientsController#index as JSON
2018-07-17T09:12:47 [I|app|9fb97] Current user: admin (administrator)
2018-07-17T09:12:47 [I|app|9fb97] Completed 200 OK in 10ms (Views: 0.2ms | ActiveRecord: 0.9ms)
2018-07-17T09:12:58 [I|app|] Started GET "/notification_recipients" for 10.34.131.57 at 2018-07-17 09:12:58 -0400
2018-07-17T09:12:58 [I|app|07964] Processing by NotificationRecipientsController#index as JSON
2018-07-17T09:12:58 [I|app|07964] Current user: admin (administrator)
2018-07-17T09:12:58 [I|app|07964] Completed 200 OK in 9ms (Views: 0.2ms | ActiveRecord: 0.9ms)

Comment 10 Bryan Kearney 2018-10-16 19:04:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.